Index: branches/ImprovingStringConvertibleMatrix/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs
===================================================================
--- branches/ImprovingStringConvertibleMatrix/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs	(revision 9306)
+++ branches/ImprovingStringConvertibleMatrix/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs	(revision 9308)
@@ -297,5 +297,5 @@
     }
     void DemandParameter_ValueChanged(object sender, EventArgs e) {
-      Demand.ItemChanged += new EventHandler<EventArgs<int>>(Demand_ItemChanged);
+      Demand.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(Demand_ItemChanged);
       Demand.Reset += new EventHandler(Demand_Reset);
       BestKnownSolution = null;
@@ -304,9 +304,9 @@
       BestKnownSolution = null;
     }
-    void Demand_ItemChanged(object sender, EventArgs<int> e) {
+    void Demand_ItemChanged(object sender, ArrayValuesChangedEventArgs e) {
       BestKnownSolution = null;
     }
     void DueTimeParameter_ValueChanged(object sender, EventArgs e) {
-      DueTime.ItemChanged += new EventHandler<EventArgs<int>>(DueTime_ItemChanged);
+      DueTime.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(DueTime_ItemChanged);
       DueTime.Reset += new EventHandler(DueTime_Reset);
       BestKnownSolution = null;
@@ -315,9 +315,9 @@
       BestKnownSolution = null;
     }
-    void DueTime_ItemChanged(object sender, EventArgs<int> e) {
+    void DueTime_ItemChanged(object sender, ArrayValuesChangedEventArgs e) {
       BestKnownSolution = null;
     }
     void ReadyTimeParameter_ValueChanged(object sender, EventArgs e) {
-      ReadyTime.ItemChanged += new EventHandler<EventArgs<int>>(ReadyTime_ItemChanged);
+      ReadyTime.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(ReadyTime_ItemChanged);
       ReadyTime.Reset += new EventHandler(ReadyTime_Reset);
       BestKnownSolution = null;
@@ -326,9 +326,9 @@
       BestKnownSolution = null;
     }
-    void ReadyTime_ItemChanged(object sender, EventArgs<int> e) {
+    void ReadyTime_ItemChanged(object sender, ArrayValuesChangedEventArgs e) {
       BestKnownSolution = null;
     }
     void ServiceTimeParameter_ValueChanged(object sender, EventArgs e) {
-      ServiceTime.ItemChanged += new EventHandler<EventArgs<int>>(ServiceTime_ItemChanged);
+      ServiceTime.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(ServiceTime_ItemChanged);
       ServiceTime.Reset += new EventHandler(ServiceTime_Reset);
       BestKnownSolution = null;
@@ -337,5 +337,5 @@
       BestKnownSolution = null;
     }
-    void ServiceTime_ItemChanged(object sender, EventArgs<int> e) {
+    void ServiceTime_ItemChanged(object sender, ArrayValuesChangedEventArgs e) {
       BestKnownSolution = null;
     }
@@ -392,14 +392,14 @@
       Capacity.ValueChanged += new EventHandler(Capacity_ValueChanged);
       DemandParameter.ValueChanged += new EventHandler(DemandParameter_ValueChanged);
-      Demand.ItemChanged += new EventHandler<EventArgs<int>>(Demand_ItemChanged);
+      Demand.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(Demand_ItemChanged);
       Demand.Reset += new EventHandler(Demand_Reset);
       DueTimeParameter.ValueChanged += new EventHandler(DueTimeParameter_ValueChanged);
-      DueTime.ItemChanged += new EventHandler<EventArgs<int>>(DueTime_ItemChanged);
+      DueTime.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(DueTime_ItemChanged);
       DueTime.Reset += new EventHandler(DueTime_Reset);
       ReadyTimeParameter.ValueChanged += new EventHandler(ReadyTimeParameter_ValueChanged);
-      ReadyTime.ItemChanged += new EventHandler<EventArgs<int>>(ReadyTime_ItemChanged);
+      ReadyTime.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(ReadyTime_ItemChanged);
       ReadyTime.Reset += new EventHandler(ReadyTime_Reset);
       ServiceTimeParameter.ValueChanged += new EventHandler(ServiceTimeParameter_ValueChanged);
-      ServiceTime.ItemChanged += new EventHandler<EventArgs<int>>(ServiceTime_ItemChanged);
+      ServiceTime.ItemsChanged += new EventHandler<ArrayValuesChangedEventArgs>(ServiceTime_ItemChanged);
       ServiceTime.Reset += new EventHandler(ServiceTime_Reset);
       VehiclesParameter.ValueChanged += new EventHandler(VehiclesParameter_ValueChanged);