Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/New.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/New.cshtml	(revision 9305)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/New.cshtml	(revision 9324)
@@ -70,7 +70,14 @@
 <script type="text/template" id="checkbox_template">
 <div>
-    <input type="checkbox" name="<%=name%>"/><%=text%><br/>
-</div>
-</script>       
+    <input type="checkbox" name="<%=name%>"
+        <% if (checked) { %>
+            checked
+        <% } %>
+    />
+    <% if (!hideText) { %>
+         <%=text%><br/>
+    <% } %>
+</div>
+</script>   
 
 <script type="text/template" id="variation_generator_template">
@@ -93,5 +100,5 @@
 
 <script type="text/javascript">
-    var controller = new ExperimentPageController();
+    var controller = new OAAS_CONTROLLER.ExperimentPageController();
     $(document).ready(function () {
         controller.create();
@@ -141,8 +148,12 @@
     <div id="container" class="treeStyle"></div>    
     <p>Choose an algorithm:</p>
-    <div id="algorithms"></div>
+    <div id="algorithms">
+        <span>Loading ... <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" />  </span>        
+    </div>
     <div class="clearer"></div>
     <p>Choose from your stored experiments:</p>
-    <div id="experiments"></div>
+    <div id="experiments">
+        <span>Loading ... <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" />  </span>        
+    </div>
   </fieldset>
   </div>
@@ -196,6 +207,6 @@
 @section submenu {
     <ul>
-        <li class="selected">@Html.ActionLink("Build", "New")</li>    
-        <li>@Html.ActionLink("Edit", "NewEdit")</li>
+        <li class="selected">@Html.ActionLink("Build", "New", "Experiment")</li>    
+        <li>@Html.ActionLink("Edit", "NewEdit", "Experiment")</li>
         <li>@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/NewEdit.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/NewEdit.cshtml	(revision 9305)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/NewEdit.cshtml	(revision 9324)
@@ -70,5 +70,12 @@
 <script type="text/template" id="checkbox_template">
 <div>
-    <input type="checkbox" name="<%=name%>"/><%=text%><br/>
+    <input type="checkbox" name="<%=name%>"
+        <% if (checked) { %>
+            checked
+        <% } %>
+    />
+    <% if (!hideText) { %>
+         <%=text%><br/>
+    <% } %>
 </div>
 </script>       
@@ -93,5 +100,5 @@
 
 <script type="text/javascript">
-    var controller = new ExperimentEditPageController();
+    var controller = new OAAS_CONTROLLER.ExperimentEditPageController();
     $(document).ready(function () {
         controller.create();
@@ -145,5 +152,10 @@
   <div id="step1">
   <fieldset>        
-    <div id="experiments"></div>
+    <div id="experiments">
+        <span>Loading ... <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" />  </span>        
+    </div>
+    <div class="experimentMenu">
+        <button type="button" disabled="disabled" id="deleteExperimentButton">Delete</button>
+    </div>
   </fieldset>
   </div>
@@ -210,6 +222,6 @@
 @section submenu {
     <ul>
-        <li>@Html.ActionLink("Build", "New")</li>    
-        <li class="selected">@Html.ActionLink("Edit", "NewEdit")</li>
+        <li>@Html.ActionLink("Build", "New", "Experiment")</li>    
+        <li class="selected">@Html.ActionLink("Edit", "NewEdit", "Experiment")</li>
         <li>@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Job/Index.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Job/Index.cshtml	(revision 9324)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Job/Index.cshtml	(revision 9324)
@@ -0,0 +1,100 @@
+﻿@section customHeader {
+    <script type='text/javascript' src='@Url.Content("~/Content/job.model.js")'></script>
+    <script type='text/javascript' src='@Url.Content("~/Content/job.view.js")'></script>
+    <script type='text/javascript' src='@Url.Content("~/Content/job.controller.js")'></script>
+    <script type='text/javascript' src='@Url.Content("~/Content/moment.min.js")'></script>
+}
+
+@{
+    ViewBag.Title = "Jobs";
+}
+
+<script type="text/template" id="loadingTemplate">
+    <span><%= text %> <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" class="hugeLoading" /> </span>
+</script>
+
+<script type="text/template" id="jobRowTemplate">
+<tr data-jobId="<%= Id%>">
+  <td><%= Id%></td>
+  <td>
+    <%= moment(DateCreated).format('YYYY-MM-DD HH:mm:ss') %>
+  </td>
+  <td><%= Name%></td>
+  <td><%= Resource%></td>  
+  <td>
+  <% if (Loading) { %>
+    <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" class="loader" />
+  <% }%>
+  <% if (State == 0) { %>    
+  <span>Waiting...</span>
+  <% } else if (State == 1) { %>
+  <span>Calculating...</span>
+  <% } else if (State == 2) { %>
+  <img src="@Url.Content("~/Content/warning-2.png")" alt="Loading animation" class="loader" />
+  <span>Aborted</span>
+  <% } else if (State == 3) { %>
+  <img src="@Url.Content("~/Content/warning-2.png")" alt="Loading animation" class="loader" />
+  <span>Failed</span>
+  <% } else { %>
+  <img src="@Url.Content("~/Content/ok-2.png")" alt="Loading animation" class="loader" />
+  <span>Finished</span>
+  <% } %>  
+  </td>
+  <td><button type="button" data-id="<%= Id %>" data-name="DeleteButton" >Delete</Button></td>
+</tr>
+</script>
+
+<script type="text/template" id="jobHeaderTemplate">
+<thead>
+<tr>
+  <th>Id</th>
+  <th>Created</th>
+  <th>Name</th>
+  <th>Resource</th>
+  <th>State</th>
+  <td>Delete</td>
+</tr>
+</thead>
+</script>
+
+<script type="text/template" id="runTemplate">
+  <h3><%= name %></h3>
+  <div>
+    <table>
+      <thead>
+        <tr>
+          <td>Key</td>
+          <td>Value</td>
+        </tr>
+      </thead>
+      <tbody>
+      </tbody>
+    </table>
+  </div>
+</script>
+
+
+<script type='text/javascript'>
+$(document).ready(function () {
+    var ctrl = new OAAS_CONTROLLER.JobPageController();
+    ctrl.create();
+  });
+
+</script>
+<noscript>
+<p>
+  Please activate JavaScript to view this page correctly!
+</p>
+</noscript>
+
+<h1>Job overview</h1>
+<div id='jobOverview' style='overflow: auto; height: 450px' class='bigImage'>
+    <p>Loading jobs... Please be patient...</p>
+    <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" class="hugeLoading" />
+</div>
+
+
+<h1>Job results</h1>
+<div id='jobDetails'></div>
+<div id='tmp'>
+</div>
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml	(revision 9305)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml	(revision 9324)
@@ -32,5 +32,5 @@
 
     <!-- Experiment Additions -->
-    <script src="@Url.Content("~/Content/Datatypemapping.js")" type="text/javascript"></script>
+    
     <link href="@Url.Content("~/Content/smartwizard2.0/styles/smart_wizard.css")" rel="stylesheet" type="text/css" />
     <script type="text/javascript" src="@Url.Content("~/Content/smartwizard2.0/js/jquery.smartWizard-2.0.min.js")"></script>
@@ -40,7 +40,10 @@
     <script type='text/javascript' src='@Url.Content("~/Content/backbone/backbone-relational.js")'></script>
 
+    <script src="@Url.Content("~/Content/Datatypemapping.js")" type="text/javascript"></script>
     <script type='text/javascript' src='@Url.Content("~/Content/experiment.model.js")'></script>
     <script type='text/javascript' src='@Url.Content("~/Content/experiment.view.js")'></script>
     <script type='text/javascript' src='@Url.Content("~/Content/experiment.controller.js")'></script>
+
+    @RenderSection("customHeader", required: false)
 </head>
 <body>
Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Status/Index.cshtml
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Status/Index.cshtml	(revision 9305)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Status/Index.cshtml	(revision 9324)
@@ -103,6 +103,6 @@
 @section submenu {
     <ul>
-        <li>@Html.ActionLink("Build", "Index")</li>    
-        <li>@Html.ActionLink("Edit", "Edit")</li>
+        <li>@Html.ActionLink("Build", "New", "Experiment")</li>    
+        <li>@Html.ActionLink("Edit", "NewEdit", "Experiment")</li>
         <li class="selected">@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>